JBoss API: Class RawXADataSourceLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jdbc
Class RawXADataSourceLoader

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.jdbc.RawXADataSourceLoader

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.naming.spi.ObjectFactory, RawXADataSourceLoaderMBean, Service, ServiceMBean

public class RawXADataSourceLoader
extends ServiceMBeanSupport
implements RawXADataSourceLoaderMBean, javax.naming.spi.ObjectFactory

Service that loads a JDBC 2 std. extension-compliant `XADataSource` and makes it available through JNDI.

Version:
  $Revision: 1.2.4.1 $
Author:
  Aaron Mulder (ammulder@alumni.princeton.edu), Toby Allsopp (toby.allsopp@peace.com)

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.jdbc.RawXADataSourceLoaderMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`RawXADataSourceLoader()`
`RawXADataSourceLoader(java.lang.String poolName, java.lang.String xaDataSourceClass)`

Method Summary
`java.lang.String` | `getDataSourceClass()`
`boolean` | `getLoggingEnabled()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName objectName)`
`java.lang.String` | `getPoolName()`
`java.lang.String` | `getProperties()`
`void` | `setDataSourceClass(java.lang.String clazz)`
`void` | `setLoggingEnabled(boolean enabled)`
`void` | `setPoolName(java.lang.String name)`
`void` | `setProperties(java.lang.String properties)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### RawXADataSourceLoader

    public RawXADataSourceLoader()

### RawXADataSourceLoader

    public RawXADataSourceLoader(java.lang.String poolName,
                                 java.lang.String xaDataSourceClass)

Method Detail

### setPoolName

    public void setPoolName(java.lang.String name)

  Specified by:
    `setPoolName` in interface `RawXADataSourceLoaderMBean`

### getPoolName

    public java.lang.String getPoolName()

  Specified by:
    `getPoolName` in interface `RawXADataSourceLoaderMBean`

### setDataSourceClass

    public void setDataSourceClass(java.lang.String clazz)

  Specified by:
    `setDataSourceClass` in interface `RawXADataSourceLoaderMBean`

### getDataSourceClass

    public java.lang.String getDataSourceClass()

  Specified by:
    `getDataSourceClass` in interface `RawXADataSourceLoaderMBean`

### setProperties

    public void setProperties(java.lang.String properties)

  Specified by:
    `setProperties` in interface `RawXADataSourceLoaderMBean`

### getProperties

    public java.lang.String getProperties()

  Specified by:
    `getProperties` in interface `RawXADataSourceLoaderMBean`

### setLoggingEnabled

    public void setLoggingEnabled(boolean enabled)

  Specified by:
    `setLoggingEnabled` in interface `RawXADataSourceLoaderMBean`

### getLoggingEnabled

    public boolean getLoggingEnabled()

  Specified by:
    `getLoggingEnabled` in interface `RawXADataSourceLoaderMBean`

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                     javax.management.ObjectName objectName)
                                              throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.